gconf-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. GConf.ClientBase Basic functions to initialize GConf and get/set values. The following example attempts to retrieve a setting from GConf, and set a default value otherwise. `string MyVal; GConf.Client gconfClient = new GConf.Client (); try { MyVal = (string) gconfClient.Get ("/apps/monoapps/SampleApp/setting1")); } catch (GConf.NoSuchKeyException) { gconfClient.Set ("/apps/monoapps/SampleApp/setting1", "sample"); }`
- Constructor
  2.24.0.0
  Creates a new .
  This is the default constructor for .
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Registers a notification request.
- Method
  2.24.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Removes a notification request.
- Method
  2.24.0.0
  System.Void Suggests that you have just finished a block of changes, and it would be an optimal time to sync to permanent storage. This function is just a "hint" provided to maximize efficiency and minimize data loss.